Welcome! Log In Create A New Profile

Advanced

Unable to run Slic3r 1.3.0-dev in GUI mode on Kubuntu 16.04

Posted by thuwrx10 
Unable to run Slic3r 1.3.0-dev in GUI mode on Kubuntu 16.04
May 11, 2017 01:46AM
Running
./Slic3r --gui
got following error:

Can't load '/home/xxxxx/Slic3r/local-lib/lib/perl5/x86_64-linux-thread-multi/auto/Wx/Wx.so' for module Wx: /home/xxxxx/Slic3r/local-lib/lib/perl5/x86_64-linux-thread-multi/auto/Wx/Wx.so: symbol _ZThn704_N17wxGenericListCtrl31GetSizeAvailableForScrollTargetERK6wxSize, version WXU_3.0 not defined in file libwx_gtk2u_core-3.0.so.0 with link time reference at DynaLoader.pm line 193.
 at /home/xxxxx/Slic3r/local-lib/lib/perl5/Slic3r/GUI.pm line 7.
Compilation failed in require at /home/xxxxx/Slic3r/local-lib/lib/perl5/Slic3r/GUI.pm line 7.
BEGIN failed--compilation aborted at /home/xxxxx/Slic3r/local-lib/lib/perl5/Slic3r/GUI.pm line 7.
Compilation failed in require at (eval 84) line 1.

I'm using nightly build 2017-5-4 downloaded from [dl.slic3r.org] and all nightly builds from 2017-5-4 to 2017-5-10 seem to yield the same result.

Any idea how to solve the problem? Thanks in advance.

Edited 1 time(s). Last edit at 05/11/2017 01:46AM by thuwrx10.
Re: Unable to run Slic3r 1.3.0-dev in GUI mode on Kubuntu 16.04
May 13, 2017 11:06AM
Same here with nightly build of may 12...

Quote

frank@computer:~$ Downloads/Slic3r/Slic3r --gui
Can't load '/home/frank/Downloads/Slic3r/local-lib/lib/perl5/x86_64-linux-thread-multi/auto/Wx/Wx.so' for module Wx: /home/frank/Downloads/Slic3r/local-lib/lib/perl5/x86_64-linux-thread-multi/auto/Wx/Wx.so: symbol _ZThn704_N17wxGenericListCtrl31GetSizeAvailableForScrollTargetERK6wxSize, version WXU_3.0 not defined in file libwx_gtk2u_core-3.0.so.0 with link time reference at DynaLoader.pm line 193.
at /home/frank/Downloads/Slic3r/local-lib/lib/perl5/Slic3r/GUI.pm line 7.
Compilation failed in require at /home/frank/Downloads/Slic3r/local-lib/lib/perl5/Slic3r/GUI.pm line 7.
BEGIN failed--compilation aborted at /home/frank/Downloads/Slic3r/local-lib/lib/perl5/Slic3r/GUI.pm line 7.
Compilation failed in require at (eval 84) line 1.
frank@computer:~$ uname -a
Linux computer 4.4.0-77-generic #98-Ubuntu SMP Wed Apr 26 08:34:02 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
Re: Unable to run Slic3r 1.3.0-dev in GUI mode on Kubuntu 16.04
May 29, 2017 01:42AM
Hi,

I recognize this thread is rather old, but since I stumbled over it yesterday while researching the same issue, I thought I might post my fix.

I found this thread in a lulzbot-forum:
[forum.lulzbot.com]

Where "DAB" pointed out:

Quote
DAB
To summarize:
The Ubuntu package for slic3r on Linux mint is missing the following dependencies:
wx-common
libopengl-perl
libwx-glcanvas-perl

I had to guess what packages were necessary since the error messages gave very tenuous clues.

So after installing those packages, Slic3r-Prusa (not Slic3r) works with GUI on my Linux Mint Cinnamon.


sudo apt install  wx-common libopengl-perl libwx-glcanvas-perl
Re: Unable to run Slic3r 1.3.0-dev in GUI mode on Kubuntu 16.04
May 30, 2017 02:26AM
Thanks... I'm sure it's a step in the right direction. But it's not the full solution for me. Now I get
Quote

frank@computer:~$ Downloads/Slic3r/Slic3r --gui
Can't load '/home/frank/Downloads/Slic3r/local-lib/lib/perl5/x86_64-linux-thread-multi/auto/Wx/Wx.so' for module Wx: /home/frank/Downloads/Slic3r/local-lib/lib/perl5/x86_64-linux-thread-multi/auto/Wx/Wx.so: symbol _ZThn704_N17wxGenericListCtrl31GetSizeAvailableForScrollTargetERK6wxSize, version WXU_3.0 not defined in file libwx_gtk2u_core-3.0.so.0 with link time reference at DynaLoader.pm line 193.
at /home/frank/Downloads/Slic3r/local-lib/lib/perl5/Slic3r/GUI.pm line 7.
Compilation failed in require at /home/frank/Downloads/Slic3r/local-lib/lib/perl5/Slic3r/GUI.pm line 7.
BEGIN failed--compilation aborted at /home/frank/Downloads/Slic3r/local-lib/lib/perl5/Slic3r/GUI.pm line 7.
Compilation failed in require at (eval 84) line 1.
Sorry, only registered users may post in this forum.

Click here to login